Skip to main content
PUT
/
v1
/
runs
/
{run_id}
Update an evaluation run
curl --request PUT \
  --url https://api.dp1.us.honeyhive.ai/v1/runs/{run_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "status": "pending",
  "metadata": {},
  "results": {},
  "event_ids": [
    "<string>"
  ],
  "configuration": {},
  "evaluators": [
    "<unknown>"
  ],
  "session_ids": [
    "<string>"
  ],
  "datapoint_ids": [
    "<string>"
  ],
  "passing_ranges": {}
}
'
{
  "evaluation": {
    "id": "<string>",
    "run_id": "<string>",
    "metadata": {},
    "results": {},
    "event_ids": [
      "<string>"
    ],
    "configuration": {},
    "is_active": true,
    "created_at": "<string>",
    "scope_type": "<string>",
    "scope_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "status": "<string>",
    "metrics": {},
    "updated_at": "<string>",
    "dataset_id": "<string>"
  },
  "warning": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string<uuid>
required

Body

application/json

Request body for PUT /runs/{run_id}

name
string
description
string
status
enum<string>
Available options:
pending,
completed,
failed,
cancelled,
running
metadata
object
results
object
event_ids
string[]
configuration
object
evaluators
any[]
session_ids
string[]
datapoint_ids
string[]
Minimum string length: 1
passing_ranges
object

Response

Successful response

Response for PUT /runs/{run_id}

evaluation
object
required
warning
string